> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /openalex/authors/search

> Search OpenAlex authors by query and filters

**Price:** 5 credits per 200 results



## OpenAPI

````yaml /openapi/research-papers.json post /api/openalex/authors/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/openalex/authors/search:
    post:
      tags:
        - /openalex
      summary: /openalex/authors/search
      description: |-
        Search OpenAlex authors by query and filters

        **Price:** 5 credits per 200 results
      operationId: __api_openalex_authors_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenalexAuthorsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OpenalexAuthor'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpenalexAuthorsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        search:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        last_known_institution_id:
          anyOf:
            - type: string
            - type: 'null'
        affiliation_institution_id:
          anyOf:
            - type: string
            - type: 'null'
        works_count:
          anyOf:
            - type: string
            - type: 'null'
        cited_by_count:
          anyOf:
            - type: string
            - type: 'null'
        h_index:
          anyOf:
            - type: string
            - type: 'null'
        sort:
          anyOf:
            - $ref: '#/components/schemas/OpenalexAuthorsSort'
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    OpenalexAuthor:
      properties:
        '@type':
          type: string
          default: OpenalexAuthor
        id:
          type: string
        orcid:
          anyOf:
            - type: string
            - type: 'null'
        display_name:
          type: string
          default: ''
        display_name_alternatives:
          items:
            type: string
          type: array
          default: []
        works_count:
          type: integer
          default: 0
        cited_by_count:
          type: integer
          default: 0
        summary_stats:
          anyOf:
            - $ref: '#/components/schemas/OpenalexSummaryStats'
            - type: 'null'
        affiliations:
          items:
            $ref: '#/components/schemas/OpenalexAuthorAffiliation'
          type: array
          default: []
        last_known_institutions:
          items:
            $ref: '#/components/schemas/OpenalexAuthorAffiliation'
          type: array
          default: []
        topics:
          items:
            $ref: '#/components/schemas/OpenalexTopic'
          type: array
          default: []
        topic_share:
          items:
            $ref: '#/components/schemas/OpenalexTopic'
          type: array
          default: []
        x_concepts:
          items:
            $ref: '#/components/schemas/OpenalexAuthorConcept'
          type: array
          default: []
        counts_by_year:
          items:
            $ref: '#/components/schemas/OpenalexCountByYear'
          type: array
          default: []
        works_api_url:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OpenalexAuthorsSort:
      type: string
      enum:
        - relevance_score:desc
        - works_count:desc
        - cited_by_count:desc
        - summary_stats.h_index:desc
    OpenalexSummaryStats:
      properties:
        '@type':
          type: string
          default: OpenalexSummaryStats
        two_year_mean_citedness:
          anyOf:
            - type: number
            - type: 'null'
        h_index:
          anyOf:
            - type: integer
            - type: 'null'
        i10_index:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    OpenalexAuthorAffiliation:
      properties:
        '@type':
          type: string
          default: OpenalexAuthorAffiliation
        id:
          type: string
        display_name:
          type: string
          default: ''
        ror:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        years:
          items:
            type: integer
          type: array
          default: []
      type: object
      required:
        - id
    OpenalexTopic:
      properties:
        '@type':
          type: string
          default: OpenalexTopic
        id:
          type: string
        display_name:
          type: string
          default: ''
        score:
          anyOf:
            - type: number
            - type: 'null'
        works_count:
          anyOf:
            - type: integer
            - type: 'null'
        topic_share:
          anyOf:
            - type: number
            - type: 'null'
        subfield:
          anyOf:
            - type: string
            - type: 'null'
        field:
          anyOf:
            - type: string
            - type: 'null'
        domain:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    OpenalexAuthorConcept:
      properties:
        '@type':
          type: string
          default: OpenalexAuthorConcept
        id:
          type: string
        display_name:
          type: string
          default: ''
        score:
          anyOf:
            - type: number
            - type: 'null'
        wikidata:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    OpenalexCountByYear:
      properties:
        '@type':
          type: string
          default: OpenalexCountByYear
        year:
          type: integer
        works_count:
          anyOf:
            - type: integer
            - type: 'null'
        cited_by_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - year
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````